Skip to main content
`Ctrl`+`K`

# MatSetOptionsPrefix

Sets the prefix used for searching for all `Mat` options in the database.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetOptionsPrefix(Mat A, const char prefix[])

Logically Collective

## Input Parameters

- A - the matrix

- prefix - the prefix to prepend to all option names

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

This is NOT used for options for the factorization of the matrix. Normally the prefix is automatically passed in from the PC calling the factorization. To set it directly use `MatSetOptionsPrefixFactor()`

## See Also

Matrices, `Mat`, `MatSetFromOptions()`, `MatSetOptionsPrefixFactor()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex59.c
src/ts/tutorials/ex14.c
src/mat/tutorials/ex10.c
src/ksp/ksp/tutorials/ex1.c
src/mat/tutorials/ex16.c
src/snes/tutorials/ex70.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages